• \[SOLVED\] error installing base-devel


    I got an error while trying to compile an aur package. Reading back one of my previous posts I noticed the base-devel package. So I did a sudo pacman -S base-devel and noticed, while installed a 73MB would be extra installed. So I let pacman do it’s thing. One of the needed packages however cannot be installed. Last error is:

    error: cloog: signature from “Allan McRae <[email protected]>” is invalid

    What to do next?

    [b:2nvaxkhi]Edit1: Because of this error GCC cannot be installed and it is needed to compile packages[/b:2nvaxkhi]

    [b:2nvaxkhi][u:2nvaxkhi]Just updated the system and guess what…it installs GCC…[/u:2nvaxkhi][/b:2nvaxkhi]

    Antergos: funny name, serious distro

  • I got an error while trying to compile an aur package. Reading back one of my previous posts I noticed the base-devel package. So I did a sudo pacman -S base-devel and noticed, while installed a 73MB would be extra installed. So I let pacman do it’s thing. One of the needed packages however cannot be installed. Last error is:

    error: cloog: signature from “Allan McRae <[email protected]>” is invalid

    What to do next?

    [b:2nvaxkhi]Edit1: Because of this error GCC cannot be installed and it is needed to compile packages[/b:2nvaxkhi]

    [b:2nvaxkhi][u:2nvaxkhi]Just updated the system and guess what…it installs GCC…[/u:2nvaxkhi][/b:2nvaxkhi]

    Antergos: funny name, serious distro

  • Yes, the first thing to do when you experience pretty much any issue is to run “pacman -Syu”. Being a rolling release means that packages are changing on a daily basis. Cheers!

Posts 3Views 875
Log in to reply